Video Sound Effects Generator
Entegre et
cassetteai/video-sound-effects-generator
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cassetteai/video-sound-effects-generator?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/cassetteai/video-sound-effects-generator?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
},
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/cassetteai/video-sound-effects-generator", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/tr/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "cassetteai/video-sound-effects-generator",
"input": {
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
}
}
Video Sound Effects Generator modelini (cassetteai/video-sound-effects-generator) Doitong API üzerinden çağırın. Ajanlar için belgeler: https://doitong.com/tr/developers/models/cassetteai/video-sound-effects-generator.md
POST https://api.doitong.ru/v1/run/cassetteai/video-sound-effects-generator?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
}
Yanıt durumu "queued" veya "running" ise, durum "succeeded" olana kadar GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 ile yoklayın; dosyalar outputs[].url içindedir. Aynı gövdeyle POST https://api.doitong.ru/v1/quote/cassetteai/video-sound-effects-generator, çalıştırmadan önce kesin fiyatı döndürür.
Örnekteki gibi dosyalar: $0,034 34 API kredisi · ≈ ₽3,66 dosyalarınız çalıştırmadan önce ölçülür Bu sayfada çalıştır
Yeni API anahtarınız. Yalnızca şimdi gösterilir ve zaten aşağıdaki kodda ve API anahtarı alanında bulunur. Gizli tutun: tarayıcıda çalışan kodlara asla eklemeyin.
İlk sonucunuz burada görünecek
Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.
İstek oluştur
Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.
/run/cassetteai/video-sound-effects-generator?wait=20
fiyat → $0,034
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cassetteai/video-sound-effects-generator?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/cassetteai/video-sound-effects-generator?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
},
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/cassetteai/video-sound-effects-generator", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "cassetteai/video-sound-effects-generator",
"input": {
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
},
"wait_seconds": 20
}
}
}
Bu isteği çalıştır
Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al
Video Sound Effects Generator hakkında
Tek girdisi olarak bir video dosyası alır, onu analiz eder ve uygun ses efektleri üretir. Çıktı, yeni SFX parçası eklenmiş son videodur. İstem veya süre ayarı yoktur; bu nedenle sessiz kliplere hızlı ses ekleme işlemleri için uygundur.
Parametreler
video_urlgerekli
video_url.urlgerekli
video_url.content_typeisteğe bağlı
video_url.file_nameisteğe bağlı
video_url.file_sizeisteğe bağlı
video_url.file_dataisteğe bağlı
Çıktı
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "cassetteai/video-sound-effects-generator",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 34,
"usd": "0.034",
"charged": 34,
"refunded": 0
},
"input": {
"video_url": {
"url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Çıktı alanları
- video
- object {url, content_type, file_name, file_size}Yeni oluşturulan ses efektleri parçasını içeren son video.
Diğer CassetteAI varyantları
Daha fazla model: Videodan Sese
AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/cassetteai/video-sound-effects-generator.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt